- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | List of all members
AL::ColladaBuilder Class Reference

`#include <colladabuilder.h>`

## Public Types
typedef boost::property_tree::ptree | ptree

## Public Member Functions
ptree & | addEffectColor (ptree &parent, const std::string &id, float red, float green, float blue, float alpha)
ptree & | addMaterial (ptree &parent, const std::string &id, const std::string &effect_id)
void | addMaterialEffectColor (ptree &root, float r, float g, float b, float a, const ::std::string &id)
ptree | createNode (const std::string &id, const Eigen::Affine3f &tf)
ptree & | addNode (ptree &parent, const std::string &id, const Eigen::Affine3f &tf)
ptree & | addVisualScene (ptree &parent, const std::string &id)
ptree & | addInstanceVisualScene (ptree &parent, const std::string &scene_id)
ptree & | addSourceXYZ (ptree &parent, const std::vector< float > &data, const std::string &id)
ptree & | addInput (ptree &parent, const std::string &semantic, const std::string &source_id, int offset)
ptree & | addGeometryMesh (ptree &parent, const std::string &id, const Mesh &mesh)
ptree & | addInstanceGeometry (ptree &parent, const std::string &geometry_id, const std::string &material_id)
ptree | createDoc ()

## Detailed Description

Definition at line 28 of file colladabuilder.h.

## Member Typedef Documentation

typedef boost::property_tree::ptree AL::ColladaBuilder::ptree

Definition at line 30 of file colladabuilder.h.

## Member Function Documentation

ptree& AL::ColladaBuilder::addEffectColor | ( | ptree & | parent,
|  | const std::string & | id,
|  | float | red,
|  | float | green,
|  | float | blue,
|  | float | alpha
| ) |  |

ptree& AL::ColladaBuilder::addGeometryMesh | ( | ptree & | parent,
|  | const std::string & | id,
|  | const Mesh & | mesh
| ) |  |

ptree& AL::ColladaBuilder::addInput | ( | ptree & | parent,
|  | const std::string & | semantic,
|  | const std::string & | source_id,
|  | int | offset
| ) |  |

ptree& AL::ColladaBuilder::addInstanceGeometry | ( | ptree & | parent,
|  | const std::string & | geometry_id,
|  | const std::string & | material_id
| ) |  |

ptree& AL::ColladaBuilder::addInstanceVisualScene | ( | ptree & | parent,
|  | const std::string & | scene_id
| ) |  |

ptree& AL::ColladaBuilder::addMaterial | ( | ptree & | parent,
|  | const std::string & | id,
|  | const std::string & | effect_id
| ) |  |

void AL::ColladaBuilder::addMaterialEffectColor | ( | ptree & | root,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | a,
|  | const ::std::string & | id
| ) |  |

ptree& AL::ColladaBuilder::addNode | ( | ptree & | parent,
|  | const std::string & | id,
|  | const Eigen::Affine3f & | tf
| ) |  |

ptree& AL::ColladaBuilder::addSourceXYZ | ( | ptree & | parent,
|  | const std::vector< float > & | data,
|  | const std::string & | id
| ) |  |

ptree& AL::ColladaBuilder::addVisualScene | ( | ptree & | parent,
|  | const std::string & | id
| ) |  |

ptree AL::ColladaBuilder::createDoc | ( |  | ) |

ptree AL::ColladaBuilder::createNode | ( | const std::string & | id,
|  | const Eigen::Affine3f & | tf
| ) |  |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/colladabuilder.h